## node-undici 5.10.0+dfsg1+~cs18.9.18.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0069 NEW)

project(llhttp VERSION _TAG_)
include(GNUInstallDirs)

set(CMAKE_C_STANDARD 99)

# By default build in relwithdebinfo type, supports both lowercase and uppercase
if(NOT CMAKE_CONFIGURATION_TYPES)
  set(allowableBuildTypes DEBUG RELEASE RELWITHDEBINFO MINSIZEREL)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "${allowableBuildTypes}")
  if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELWITHDEBINFO CACHE STRING "" FORCE)
  else()
    string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE)
    if(NOT CMAKE_BUILD_TYPE IN_LIST allowableBuildTypes)
      message(FATAL_ERROR "Invalid build type: ${CMAKE_BUILD_TYPE}")
    endif()
  endif()
endif()

#
# Options
#
# Generic option
option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so)" ON)
option(BUILD_STATIC_LIBS "Build static libraries (.lib/.a)" OFF)

# Source code
set(LLHTTP_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/src/llhttp.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/http.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/api.c
)

set(LLHTTP_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/include/llhttp.h
)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/libllhttp.pc.in
  ${CMAKE_CURRENT_SOURCE_DIR}/libllhttp.pc
  @ONLY
)

function(config_library target)
  target_sources(${target} PRIVATE ${LLHTTP_SOURCES} ${LLHTTP_HEADERS})

  target_include_directories(${target} PRIVATE
      ${CMAKE_CURRENT_SOURCE_DIR}/include
  )

  set_target_properties(${target} PROPERTIES
    OUTPUT_NAME llhttp
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    PUBLIC_HEADER ${LLHTTP_HEADERS}
  )

  install(TARGETS ${target}
    EXPORT llhttp
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )

  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/libllhttp.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  )

  # This is required to work with FetchContent
  install(EXPORT llhttp
        FILE llhttp-config.cmake
        NAMESPACE llhttp::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/llhttp)
endfunction(config_library target)

if(BUILD_SHARED_LIBS)
  add_library(llhttp_shared SHARED
      ${llhttp_src}
  )
  add_library(llhttp::llhttp ALIAS llhttp_shared)
  config_library(llhttp_shared)
endif()

if(BUILD_STATIC_LIBS)
  add_library(llhttp_static STATIC
      ${llhttp_src}
  )
  if(BUILD_SHARED_LIBS)
    add_library(llhttp::llhttp ALIAS llhttp_shared)
  else()
    add_library(llhttp::llhttp ALIAS llhttp_static)
  endif()
  config_library(llhttp_static)
endif()

# On windows with Visual Studio, add a debug postfix so that release
# and debug libraries can coexist.
if(MSVC)
  set(CMAKE_DEBUG_POSTFIX "d")
endif()

# Print project configure summary
message(STATUS "")
message(STATUS "")
message(STATUS "Project configure summary:")
message(STATUS "")
message(STATUS "  CMake build type .................: ${CMAKE_BUILD_TYPE}")
message(STATUS "  Install prefix ...................: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "  Build shared library .............: ${BUILD_SHARED_LIBS}")
message(STATUS "  Build static library .............: ${BUILD_STATIC_LIBS}")
message(STATUS "")

=== Makefile ===
CLANG ?= clang
CFLAGS ?=
OS ?=

CFLAGS += -Os -g3 -Wall -Wextra -Wno-unused-parameter
ifneq ($(OS),Windows_NT) 
	# NOTE: clang on windows does not support fPIC
	CFLAGS += -fPIC
endif

INCLUDES += -Ibuild/

INSTALL ?= install
PREFIX ?= /usr/local
LIBDIR = $(PREFIX)/lib
INCLUDEDIR = $(PREFIX)/include

all: build/libllhttp.a build/libllhttp.so

clean:
	rm -rf release/
	rm -rf build/

build/libllhttp.so: build/c/llhttp.o build/native/api.o \
		build/native/http.o
	$(CLANG) -shared $^ -o $@

build/libllhttp.a: build/c/llhttp.o build/native/api.o \
		build/native/http.o
	$(AR) rcs $@ build/c/llhttp.o build/native/api.o build/native/http.o

build/c/llhttp.o: build/c/llhttp.c
	$(CLANG) $(CFLAGS) $(INCLUDES) -c $< -o $@

build/native/%.o: src/native/%.c build/llhttp.h src/native/api.h \
		build/native
	$(CLANG) $(CFLAGS) $(INCLUDES) -c $< -o $@

build/llhttp.h: generate
build/c/llhttp.c: generate

build/native:
	mkdir -p build/native

release: generate
	mkdir -p release/src
	mkdir -p release/include
	cp -rf build/llhttp.h release/include/
	cp -rf build/c/llhttp.c release/src/
	cp -rf src/native/*.c release/src/
	cp -rf src/llhttp.gyp release/
	cp -rf src/common.gypi release/
	cp -rf CMakeLists.txt release/
	sed -i s/_TAG_/$(TAG)/ release/CMakeLists.txt
	cp -rf libllhttp.pc.in release/
	cp -rf README.md release/
	cp -rf LICENSE-MIT release/

github-release:
	@echo "${RELEASE}" | grep -q -e "^v" || { echo "Please make sure version starts with \"v\"."; exit 1; }
	gh release create -d --generate-notes ${RELEASE}
	@sleep 5
	gh release view ${RELEASE} -t "{{.body}}" --json body > RELEASE_NOTES
	gh release delete ${RELEASE} -y
	gh release create -F RELEASE_NOTES -d --title ${RELEASE} --target release release/${RELEASE}
	@sleep 5
	rm -rf RELEASE_NOTES
	open $$(gh release view release/${RELEASE} --json url -t "{{.url}}")

postversion: release
	git fetch origin
	git push
	git checkout release --
	cp -rf release/* ./
	rm -rf release
	git add include src *.gyp *.gypi CMakeLists.txt README.md LICENSE-MIT libllhttp.pc.in
	git commit -a -m "release: $(TAG)"
	git tag "release/v$(TAG)"
	git push && git push --tags
	git checkout main

generate:
	npx ts-node bin/generate.ts

install: build/libllhttp.a build/libllhttp.so
	$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) -C build/llhttp.h $(DESTDIR)$(INCLUDEDIR)/llhttp.h
	$(INSTALL) -C build/libllhttp.a $(DESTDIR)$(LIBDIR)/libllhttp.a
	$(INSTALL) build/libllhttp.so $(DESTDIR)$(LIBDIR)/libllhttp.so

.PHONY: all generate clean release postversion github-release

=== debian/changelog ===
node-undici (5.10.0+dfsg1+~cs18.9.18.7-1) unstable; urgency=medium

  * New upstream version 5.10.0+dfsg1+~cs18.9.18.7

 -- Yadd <yadd@debian.org>  Tue, 30 Aug 2022 06:32:25 +0200

node-undici (5.9.1+dfsg1+~cs18.9.18.1-1) unstable; urgency=medium

  * New upstream version 5.9.1+dfsg1+~cs18.9.18.1

 -- Yadd <yadd@debian.org>  Mon, 22 Aug 2022 09:34:29 +0200

node-undici (5.8.2+dfsg1+~cs18.9.18.1-1) unstable; urgency=medium

  * New upstream version 5.8.2+dfsg1+~cs18.9.18.1

 -- Yadd <yadd@debian.org>  Sat, 13 Aug 2022 07:06:18 +0200

node-undici (5.8.1+dfsg1+~cs18.9.18.1-1) unstable; urgency=medium

  * New upstream version 5.8.1+dfsg1+~cs18.9.18.1
  * Refresh patches
  * Update test modules

 -- Yadd <yadd@debian.org>  Mon, 08 Aug 2022 21:01:44 +0200

node-undici (5.8.0+dfsg1+~cs18.9.16-2) unstable; urgency=medium

  * Update typescript patch (Closes: #1016322)

 -- Yadd <yadd@debian.org>  Sat, 30 Jul 2022 15:17:27 +0200

node-undici (5.8.0+dfsg1+~cs18.9.16-1) unstable; urgency=medium

  * Apply multi-arch hints (foreign)
  * New upstream version 5.8.0+dfsg1+~cs18.9.16

 -- Yadd <yadd@debian.org>  Tue, 19 Jul 2022 15:55:13 +0200

node-undici (5.7.0+dfsg1+~cs18.9.16-3) unstable; urgency=medium

  * Fix bad control field

 -- Yadd <yadd@debian.org>  Thu, 14 Jul 2022 21:59:46 +0200

node-undici (5.7.0+dfsg1+~cs18.9.16-2) unstable; urgency=medium

  * node-llhttp: add dependencies to node-debug and node-semver
  * Use custom autopkgtest since lld is not available on s390x arch

 -- Yadd <yadd@debian.org>  Thu, 14 Jul 2022 10:46:45 +0200

node-undici (5.7.0+dfsg1+~cs18.9.16-1) unstable; urgency=medium

  * New upstream version 5.7.0+dfsg1+~cs18.9.16

 -- Yadd <yadd@debian.org>  Thu, 14 Jul 2022 08:30:12 +0200

node-undici (5.6.1+dfsg1+~cs18.9.16-1) unstable; urgency=medium

  * New undici version (Closes: CVE-2022-32210)
  * Add patch to drop SSL tests with too short key

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 18:29:46 +0200

node-undici (5.2.0+dfsg1+~cs18.9.15.10-1) unstable; urgency=medium

  [ Yadd, Jérémy Lal ]
  * Initial release (Closes: #1010470)

 -- Yadd <yadd@debian.org>  Sat, 11 Jun 2022 18:54:32 +0200

=== debian/control ===
Source: node-undici
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.14.22~)
 , clang
 , libsimde-dev
 , lld
 , node-debug
 , node-esbuild
 , node-semver
 , node-typescript
 , ts-node
 , wasi-libc
Standards-Version: 4.6.1
Homepage: https://undici.nodejs.org
Vcs-Git: https://salsa.debian.org/js-team/node-undici.git
Vcs-Browser: https://salsa.debian.org/js-team/node-undici
Rules-Requires-Root: no

Package: node-undici
Architecture: all
Depends: ${misc:Depends}
Provides: ${nodeUndici:Provides}
Multi-Arch: foreign
Description: Node.js HTTP/1.1 client
 undici provides the Node.js core HTTP client, using WebAssembly to achieve
 performance and pluggability. It brings features like:
  - redirect support
  - native mocking layer using MockAgent
  - Client, Pool, Agent are unified by a Dispatcher API

Package: node-llhttp
Architecture: all
Depends: ${misc:Depends}
 , node-debug
 , node-semver
Provides: ${nodeLlhttp:Provides}
 , llhttp-dev (= ${llhttp:Version})
Multi-Arch: foreign
Description: HTTP client sources for Node.js
 llhttp provides sources needed to build Node.js. May not be used directly.

## node-undici 5.10.0+dfsg1+~cs18.9.18.10

=== debian/changelog ===
node-undici (5.10.0+dfsg1+~cs18.9.18.10-2) unstable; urgency=medium

  * Launch tap test without timeout (may fix armel autopkgtest)

 -- Yadd <yadd@debian.org>  Wed, 14 Sep 2022 10:25:18 +0200

node-undici (5.10.0+dfsg1+~cs18.9.18.10-1) unstable; urgency=medium

  * Enable __proto__ in test, needed here for pkg-js-autopkgtest 0.15
  * New upstream version 5.10.0+dfsg1+~cs18.9.18.10

 -- Yadd <yadd@debian.org>  Mon, 12 Sep 2022 12:01:40 +0200

## node-undici 5.11.0+dfsg1+~cs20.10.9

=== debian/changelog ===
node-undici (5.11.0+dfsg1+~cs20.10.9-1) unstable; urgency=medium

  * New upstream version 5.11.0+dfsg1+~cs20.10.9
  * Update llhttp build
  * Unfuzz patches
  * Add dependency to node-busboy

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 06:25:29 +0200

## node-undici 5.12.0+dfsg1+~cs20.10.9

=== debian/changelog ===
node-undici (5.12.0+dfsg1+~cs20.10.9-1) unstable; urgency=medium

  * New upstream version 5.12.0+dfsg1+~cs20.10.9
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 22:39:53 +0200

## node-undici 5.13.0+dfsg1+~cs20.10.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5.1)
 cmake_policy(SET CMP0069 NEW)
 
-project(llhttp VERSION _TAG_)
+project(llhttp VERSION _RELEASE_)
 include(GNUInstallDirs)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
node-undici (5.13.0+dfsg1+~cs20.10.9-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3.
  * New upstream version 5.13.0+dfsg1+~cs20.10.9

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 18:14:54 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  , clang
  , libsimde-dev
  , lld
+ , node-busboy
  , node-debug
  , node-esbuild
  , node-semver
@@ -23,6 +24,7 @@
 Package: node-undici
 Architecture: all
 Depends: ${misc:Depends}
+ , node-busboy
 Provides: ${nodeUndici:Provides}
 Multi-Arch: foreign
 Description: Node.js HTTP/1.1 client

## node-undici 5.14.0+dfsg1+~cs20.10.9

=== debian/changelog ===
node-undici (5.14.0+dfsg1+~cs20.10.9-1) unstable; urgency=medium

  * New upstream version 5.14.0+dfsg1+~cs20.10.9

 -- Yadd <yadd@debian.org>  Sun, 11 Dec 2022 15:50:58 +0100

## node-undici 5.15.0+dfsg1+~cs20.10.9.3

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,9 @@
 build/native:
 	mkdir -p build/native
 
-release: generate
+release: clean generate
+	@echo "${RELEASE}" | grep -q -E ".+" || { echo "Please make sure the RELEASE argument is set."; exit 1; }
+	rm -rf release
 	mkdir -p release/src
 	mkdir -p release/include
 	cp -rf build/llhttp.h release/include/
@@ -51,31 +53,31 @@
 	cp -rf src/llhttp.gyp release/
 	cp -rf src/common.gypi release/
 	cp -rf CMakeLists.txt release/
-	sed -i s/_TAG_/$(TAG)/ release/CMakeLists.txt
+	sed -i s/_RELEASE_/$(RELEASE)/ release/CMakeLists.txt
 	cp -rf libllhttp.pc.in release/
 	cp -rf README.md release/
 	cp -rf LICENSE-MIT release/
 
 github-release:
-	@echo "${RELEASE}" | grep -q -e "^v" || { echo "Please make sure version starts with \"v\"."; exit 1; }
-	gh release create -d --generate-notes ${RELEASE}
+	@echo "${RELEASE_V}" | grep -q -E "^v" || { echo "Please make sure version starts with \"v\"."; exit 1; }
+	gh release create -d --generate-notes ${RELEASE_V}
 	@sleep 5
-	gh release view ${RELEASE} -t "{{.body}}" --json body > RELEASE_NOTES
-	gh release delete ${RELEASE} -y
-	gh release create -F RELEASE_NOTES -d --title ${RELEASE} --target release release/${RELEASE}
+	gh release view ${RELEASE_V} -t "{{.body}}" --json body > RELEASE_NOTES
+	gh release delete ${RELEASE_V} -y
+	gh release create -F RELEASE_NOTES -d --title ${RELEASE_V} --target release release/${RELEASE_V}
 	@sleep 5
 	rm -rf RELEASE_NOTES
-	open $$(gh release view release/${RELEASE} --json url -t "{{.url}}")
+	open $$(gh release view release/${RELEASE_V} --json url -t "{{.url}}")
 
-postversion: release
+postversion: release	
 	git fetch origin
 	git push
 	git checkout release --
 	cp -rf release/* ./
 	rm -rf release
 	git add include src *.gyp *.gypi CMakeLists.txt README.md LICENSE-MIT libllhttp.pc.in
-	git commit -a -m "release: $(TAG)"
-	git tag "release/v$(TAG)"
+	git commit -a -m "release: $(RELEASE)"
+	git tag "release/v$(RELEASE)"
 	git push && git push --tags
 	git checkout main

=== debian/changelog ===
node-undici (5.15.0+dfsg1+~cs20.10.9.3-1+deb12u4) bookworm; urgency=medium

  * Team upload.
  * Upload to bookworm.

  [ Ryan Gonzalez ]
  * Import upstream patch that moves index.d.ts to types/ (closes #1063530)
  * Force @types/node to use local copy of undici-types
  * Fix build failures on lld 15+

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Jun 2024 01:26:19 +0200

node-undici (5.15.0+dfsg1+~cs20.10.9.3-1+deb12u3) bookworm-security; urgency=medium

  * Team upload.
  * patch: import missing script from more recent upstream version

  [ Yadd ]
  * Build and publish undici-types, needed by new @types/node

 -- Jérémy Lal <kapouer@melix.org>  Thu, 21 Dec 2023 11:14:59 +0100

node-undici (5.15.0+dfsg1+~cs20.10.9.3-1+deb12u2) bookworm; urgency=medium

  * Delete cookie and host headers on cross-origin redirect
    (Closes: #1053879, CVE-2023-45143)

 -- Yadd <yadd@debian.org>  Fri, 13 Oct 2023 22:14:45 +0400

node-undici (5.15.0+dfsg1+~cs20.10.9.3-1+deb12u1) bookworm; urgency=medium

  * Fix security issues (Closes: #1031418):
    - Protect "Host" HTTP header from CLRF injection (Closes: CVE-2023-23936)
    - Fix potential ReDoS on Headers.set and Headers.append
      (Closes: CVE-2023-24807)
  * Increase httpbin.org test timeout

 -- Yadd <yadd@debian.org>  Wed, 31 May 2023 15:52:45 +0400

node-undici (5.15.0+dfsg1+~cs20.10.9.3-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 5.15.0+dfsg1+~cs20.10.9.3

 -- Yadd <yadd@debian.org>  Sun, 15 Jan 2023 10:04:29 +0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , node-typescript
  , ts-node
  , wasi-libc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://undici.nodejs.org
 Vcs-Git: https://salsa.debian.org/js-team/node-undici.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-undici

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

LLHTTPVERSION=$(shell pkgjs-pjson llhttp version)

%:
	dh $@

override_dh_auto_build:
	# Override the global undici-types with our local copy.
	cp -r types node_modules/undici-types
	dh_auto_build --buildsystem=nodejs

override_dh_auto_test:
	# autopkgtest only

override_dh_install:
	dh_install
	rm -f debian/node-undici/usr/share/nodejs/undici/lib/fetch/LICENSE

override_dh_gencontrol:
	dh_gencontrol -pnode-undici -- -v$(DEB_VERSION)
	dh_gencontrol -pnode-llhttp -- -v$(LLHTTPVERSION)~$(DEB_VERSION) -Vllhttp:Version=$(LLHTTPVERSION)

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @
 , pkg-js-autopkgtest
 , node-debug
Restrictions: superficial, skippable,
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @
 , pkg-js-autopkgtest
 , jest
Restrictions: allow-stderr, skippable, needs-internet
Features: test-name=pkg-js-autopkgtest

Test-Command: NETWORKTEST=1 /usr/share/pkg-js-autopkgtest/runner
Depends: @
 , pkg-js-autopkgtest
 , chai
 , mocha
 , node-busboy
 , node-chai-as-promised
 , node-p-timeout
 , node-proxy
 , node-proxyquire
 , node-sinon
 , node-tap
Restrictions: allow-stderr, skippable, needs-internet
Features: test-name=pkg-js-autopkgtest-with-network

## node-undici 5.19.1+dfsg1+~cs20.10.9.5

=== debian/changelog ===
node-undici (5.19.1+dfsg1+~cs20.10.9.5-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix for newer --error-build lld-15 link flag change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 11:49:41 +0100

node-undici (5.19.1+dfsg1+~cs20.10.9.5-2) unstable; urgency=medium

  * Disable network test on armel (Closes: #1032559)

 -- Yadd <yadd@debian.org>  Wed, 22 Mar 2023 10:50:17 +0400

node-undici (5.19.1+dfsg1+~cs20.10.9.5-1ubuntu2) lunar; urgency=medium

  * Fix for newer --error-build lld-15 link flag change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Feb 2023 06:11:08 +0100

node-undici (5.19.1+dfsg1+~cs20.10.9.5-1) unstable; urgency=medium

  * New upstream version (Closes: #1031418, CVE-2023-23936, CVE-2023-24807)
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 17 Feb 2023 07:23:05 +0400

## node-undici 5.22.1+dfsg1+~cs20.10.10.2

=== debian/changelog ===
node-undici (5.22.1+dfsg1+~cs20.10.10.2-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix for newer --error-build lld-15 link flag change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Jul 2023 22:45:08 +0200

node-undici (5.22.1+dfsg1+~cs20.10.10.2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Drop unused libsimde-dev from build dependencies

  [ Yadd ]
  * Update wasm exclusion
  * New upstream version 5.22.1+dfsg1+~cs20.10.10.2
  * Update test
  * Refresh patches
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 09 Jul 2023 15:08:57 +0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs (>= 0.14.22~)
  , clang
- , libsimde-dev
  , lld
  , node-busboy
  , node-debug
@@ -15,6 +14,7 @@
  , node-typescript
  , ts-node
  , wasi-libc
+#, libsimde-dev
 Standards-Version: 4.6.2
 Homepage: https://undici.nodejs.org
 Vcs-Git: https://salsa.debian.org/js-team/node-undici.git

## node-undici 5.26.3%2Bdfsg1%2B~cs23.10.12

=== debian/tests/control ===
--- 
+++ 
@@ -26,3 +26,4 @@
  , node-tap
 Restrictions: allow-stderr, skippable, needs-internet
 Features: test-name=pkg-js-autopkgtest-with-network
+Architecture: amd64, arm64, i386, ppc64el, s390x

## node-undici 5.26.3+dfsg1+~cs23.10.12

=== debian/changelog ===
node-undici (5.26.3+dfsg1+~cs23.10.12-2) unstable; urgency=medium

  * Add wokaround to nodejs bug (unable to require node:*)

 -- Yadd <yadd@debian.org>  Sat, 14 Oct 2023 14:49:40 +0400

node-undici (5.26.3+dfsg1+~cs23.10.12-1) unstable; urgency=medium

  * Embed @fastify/busboy
  * New upstream version (Closes: #1053879, CVE-2023-45143)
  * Unfuzz patches
  * Fix for clang 16 (Closes: #1052723)
  * Update copyright
  * Update lintian overrides
  * Update test

 -- Yadd <yadd@debian.org>  Fri, 13 Oct 2023 22:03:31 +0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Yadd <yadd@debian.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs (>= 0.14.22~)
- , clang
- , lld
+ , clang (>= 16)
+ , lld (>= 16)
  , node-busboy
  , node-debug
  , node-esbuild
@@ -14,7 +14,6 @@
  , node-typescript
  , ts-node
  , wasi-libc
-#, libsimde-dev
 Standards-Version: 4.6.2
 Homepage: https://undici.nodejs.org
 Vcs-Git: https://salsa.debian.org/js-team/node-undici.git

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,6 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	# Override the global undici-types with our local copy.
-	cp -r types node_modules/undici-types
-	dh_auto_build --buildsystem=nodejs
-
 override_dh_auto_test:
 	# autopkgtest only

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+dfsg1,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/undici-$1/ \
 https://github.com/nodejs/undici/tags .*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=llhttp,\
mode=git,\
pretty=describe,\
uversionmangle=s/^v//;s/(?:[-]|\.[a-z]).*$//,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-llhttp-$1/ \
 https://github.com/nodejs/llhttp HEAD checksum

opts=\
component=llparse,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-llparse-$1/ \
 https://github.com/nodejs/llparse/tags .*?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=llparse-frontend,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-llparse-frontend-$1/ \
 https://github.com/indutny/llparse-frontend/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=llparse-builder,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-llparse-builder-$1/ \
 https://github.com/indutny/llparse-builder/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=binary-search,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-binary-search-$1/ \
 https://github.com/darkskyapp/binary-search/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=fastify-busboy,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-busboy-$1/ \
 https://github.com/fastify/busboy/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## node-undici 5.28.2+dfsg1+~cs23.11.12.3

=== debian/changelog ===
node-undici (5.28.2+dfsg1+~cs23.11.12.3-6) unstable; urgency=medium

  * Update homepages
  * Drop test/connect-timeout.js from network test (unstable test in debci env)
  * Clean build links

 -- Yadd <yadd@debian.org>  Mon, 22 Jan 2024 14:45:20 +0400

node-undici (5.28.2+dfsg1+~cs23.11.12.3-5) unstable; urgency=medium

  * Drop dependency to node-busboy

 -- Yadd <yadd@debian.org>  Sun, 21 Jan 2024 06:57:54 +0400

node-undici (5.28.2+dfsg1+~cs23.11.12.3-4) unstable; urgency=medium

  * Build libllhttp (Closes: #977716)
    + add patch to export SONAME
    + add libllhttp9 and libllthhp-dev
    + update lintian overrides
    + add build dependency to cmake
  * Fix permissions

 -- Yadd <yadd@debian.org>  Sat, 20 Jan 2024 08:50:46 +0400

node-undici (5.28.2+dfsg1+~cs23.11.12.3-3) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Sun, 03 Dec 2023 07:07:30 +0400

node-undici (5.28.2+dfsg1+~cs23.11.12.3-2) unstable; urgency=medium

  * Build and publish undici-types, needed by new @types/node
  * Binary upload

 -- Yadd <yadd@debian.org>  Sat, 02 Dec 2023 22:34:40 +0400

node-undici (5.28.2+dfsg1+~cs23.11.12.3-1) unstable; urgency=medium

  * New upstream version 5.28.2+dfsg1+~cs23.11.12.3
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sat, 02 Dec 2023 22:01:17 +0400

node-undici (5.28.0+dfsg1+~cs23.11.12.3-2) unstable; urgency=medium

  * Update lintian overrides
  * Add patch to workaround nodejs bug
    (fixes nodejs build, thanks to Jérémy Lal)

 -- Yadd <yadd@debian.org>  Mon, 27 Nov 2023 15:45:33 +0400

node-undici (5.28.0+dfsg1+~cs23.11.12.3-1) unstable; urgency=medium

  * New upstream version 5.28.0+dfsg1+~cs23.11.12.3
  * Drop workaround-node-bug.patch
  * Update build
  * Drop some failing test

 -- Yadd <yadd@debian.org>  Sun, 26 Nov 2023 08:07:47 +0400

node-undici (5.26.3+dfsg1+~cs23.10.12-3) unstable; urgency=medium

  * Add fix for node-proxy >= 2

 -- Yadd <yadd@debian.org>  Thu, 23 Nov 2023 11:38:43 +0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LLHTTPVERSION = $(shell pkgjs-pjson llhttp version)
LLHTTPMAJORVERSION = $(shell pkgjs-pjson llhttp version|perl -pe 's/\..*//')
export SONAME = libllhttp.so.$(LLHTTPVERSION)
export SONAMEALIAS = libllhttp.so.$(LLHTTPMAJORVERSION)
LIBLLHTTPVERSION = $(LLHTTPVERSION)~$(DEB_VERSION)

zz:
	echo $(LLHTTPMAJORVERSION)

%:
	dh $@

override_dh_auto_test:
	# autopkgtest only

execute_after_dh_auto_install:
	cd llhttp && $(MAKE) install DESTDIR=../debian/tmp PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_install --buildsystem=cmake -Dllhttp/release

execute_after_dh_install:
	rm -f debian/node-undici/usr/share/nodejs/undici/lib/fetch/LICENSE

execute_after_dh_fixperms:
	chmod -x debian/*/usr/share/nodejs/undici/lib/llhttp/llhttp-wasm

override_dh_makeshlibs:
	dh_makeshlibs -a -- -plibllhttp9.1

override_dh_gencontrol:
	dh_gencontrol -pnode-undici -- -v$(DEB_VERSION)
	dh_gencontrol -plibllhttp-dev -- -v$(LLHTTPVERSION)~$(DEB_VERSION) \
		-Vlibllhttp:Version=$(LIBLLHTTPVERSION) \
		-DHomepage=https://github.com/nodejs/llhttp
	dh_gencontrol -pnode-llhttp -- -v$(LLHTTPVERSION)~$(DEB_VERSION) \
		-DHomepage=https://github.com/nodejs/llhttp
	dh_gencontrol -plibllhttp9.1 -- -v$(LLHTTPVERSION)~$(DEB_VERSION) \
		-DHomepage=https://github.com/nodejs/llhttp

=== debian/tests/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  , node-busboy
  , node-chai-as-promised
  , node-p-timeout
- , node-proxy
+ , node-proxy (>= 2)
  , node-proxyquire
  , node-sinon
  , node-tap

## node-undici 5.28.4+dfsg1+~cs23.12.11

=== debian/changelog ===
node-undici (5.28.4+dfsg1+~cs23.12.11-2) unstable; urgency=medium

  * Team upload
  * Fix fix-wasm-build.patch
  * Clean obj-* directory
  * Build with upstream script. Closes: #1068842
  * Drop fix_perms llhttp.wasm, not installed

 -- Jérémy Lal <kapouer@melix.org>  Fri, 12 Apr 2024 12:05:59 +0200

node-undici (5.28.4+dfsg1+~cs23.12.11-1) unstable; urgency=medium

  * New upstream version (Closes: CVE-2024-30261)
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 05 Apr 2024 15:26:06 +0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Yadd <yadd@debian.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs (>= 0.14.22~)
- , clang (>= 16)
- , lld (>= 16)
- , node-busboy
+ , clang (>= 1:16)
+ , cmake
+ , lld (>= 1:16)
  , node-debug
  , node-esbuild
  , node-semver
@@ -23,7 +23,6 @@
 Package: node-undici
 Architecture: all
 Depends: ${misc:Depends}
- , node-busboy
 Provides: ${nodeUndici:Provides}
 Multi-Arch: foreign
 Description: Node.js HTTP/1.1 client
@@ -39,7 +38,22 @@
  , node-debug
  , node-semver
 Provides: ${nodeLlhttp:Provides}
- , llhttp-dev (= ${llhttp:Version})
 Multi-Arch: foreign
 Description: HTTP client sources for Node.js
  llhttp provides sources needed to build Node.js. May not be used directly.
+
+Package: libllhttp-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}
+ , libllhttp9.1 (= ${libllhttp:Version})
+Description: HTTP messages parser library dev files
+ libllhttp development files
+
+Package: libllhttp9.1
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}
+ , ${shlibs:Depends}
+Description: HTTP messages parser library
+ libllhttp provides the Node.js library used to parse HTTP messages.

=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,8 @@
 execute_after_dh_install:
 	rm -f debian/node-undici/usr/share/nodejs/undici/lib/fetch/LICENSE
 
-execute_after_dh_fixperms:
-	chmod -x debian/*/usr/share/nodejs/undici/lib/llhttp/llhttp-wasm
+execute_after_dh_clean:
+	rm -rf obj-*
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a -- -plibllhttp9.1

## node-undici 7.3.0+dfsg1+~cs24.12.11

=== debian/changelog ===
node-undici (7.3.0+dfsg1+~cs24.12.11-1) unstable; urgency=medium

  * New upstream version 7.3.0+dfsg1+~cs24.12.11

 -- Jérémy Lal <kapouer@melix.org>  Sun, 26 Jan 2025 16:18:40 +0100

node-undici (7.2.3+dfsg1+~cs24.12.11-2) experimental; urgency=medium

  * Breaks/Replaces libllhttp9.1. Closes: #1093828.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Jan 2025 12:59:34 +0100

node-undici (7.2.3+dfsg1+~cs24.12.11-1) experimental; urgency=medium

  * New upstream version 7.2.3+dfsg1+~cs24.12.11
  * CVE-2025-22150: Uses Insufficiently Random Values
  * Standards-Version 4.7.0
  * Bump libllhttp soname to 9.2
  * copyright: update paths
  * rules: remove extra LICENSE
  * lintian-overrides: fix paths
  * patches: remove unapplied
  * rules: clean

 -- Jérémy Lal <kapouer@melix.org>  Tue, 21 Jan 2025 19:53:51 +0100

node-undici (7.1.0+dfsg1+~cs24.12.10-1) experimental; urgency=medium

  * New upstream version 7.1.0+dfsg1+~cs24.12.10
  * watch: use llhttp tag
  * node-undici.docs: fix path
  * rules: set WASM_* env vars for Makefile
  * copyright: add cache-tests and dfsg-exclude parts of it
  * Add missing test module @matteo.collina/tspl
  * B-D libclang-rt-dev-wasm32
  * Update fix-llhttp-version.patch
  * Build wasm with simd flag too
  * pkgjs tests:
    + use node --test, reenable many tests
    + bundle @matteo.collina/tspl
    + update selfsigned module, default to 2048 key
    + control: proxyquire becomes proxy-agent

 -- Jérémy Lal <kapouer@melix.org>  Tue, 10 Dec 2024 16:04:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Yadd <yadd@debian.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs (>= 0.14.22~)
+ , binaryen
  , clang (>= 1:16)
  , cmake
+ , libclang-rt-dev-wasm32
  , lld (>= 1:16)
  , node-debug
  , node-esbuild
@@ -14,7 +16,7 @@
  , node-typescript
  , ts-node
  , wasi-libc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://undici.nodejs.org
 Vcs-Git: https://salsa.debian.org/js-team/node-undici.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-undici
@@ -46,14 +48,16 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}
- , libllhttp9.1 (= ${libllhttp:Version})
+ , libllhttp9.2 (= ${libllhttp:Version})
 Description: HTTP messages parser library dev files
  libllhttp development files
 
-Package: libllhttp9.1
+Package: libllhttp9.2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}
  , ${shlibs:Depends}
+Breaks: libllhttp9.1 (<< 6)
+Replaces: libllhttp9.1
 Description: HTTP messages parser library
  libllhttp provides the Node.js library used to parse HTTP messages.

=== debian/rules ===
--- 
+++ 
@@ -27,13 +27,16 @@
 	dh_auto_install --buildsystem=cmake -Dllhttp/release
 
 execute_after_dh_install:
-	rm -f debian/node-undici/usr/share/nodejs/undici/lib/fetch/LICENSE
+	rm -f debian/node-undici/usr/share/nodejs/undici/lib/web/fetch/LICENSE
+	rm -f debian/node-undici/usr/share/nodejs/@fastify/busboy/deps/dicer/LICENSE
 
 execute_after_dh_clean:
 	rm -rf obj-*
+	rm -f lib/llhttp/llhttp_simd-wasm.js
+	rm -f lib/llhttp/llhttp_simd.wasm
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -- -plibllhttp9.1
+	dh_makeshlibs -a -- -plibllhttp9.2
 
 override_dh_gencontrol:
 	dh_gencontrol -pnode-undici -- -v$(DEB_VERSION)
@@ -42,5 +45,5 @@
 		-DHomepage=https://github.com/nodejs/llhttp
 	dh_gencontrol -pnode-llhttp -- -v$(LLHTTPVERSION)~$(DEB_VERSION) \
 		-DHomepage=https://github.com/nodejs/llhttp
-	dh_gencontrol -plibllhttp9.1 -- -v$(LLHTTPVERSION)~$(DEB_VERSION) \
+	dh_gencontrol -plibllhttp9.2 -- -v$(LLHTTPVERSION)~$(DEB_VERSION) \
 		-DHomepage=https://github.com/nodejs/llhttp

=== debian/watch ===
--- 
+++ 
@@ -7,12 +7,9 @@
 
 opts=\
 component=llhttp,\
-mode=git,\
-pretty=describe,\
-uversionmangle=s/^v//;s/(?:[-]|\.[a-z]).*$//,\
 dversionmangle=auto,\
 filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-llhttp-$1/ \
- https://github.com/nodejs/llhttp HEAD checksum
+ https://github.com/nodejs/llhttp/tags .*?@ANY_VERSION@@ARCHIVE_EXT@ checksum
 
 opts=\
 component=llparse,\

## node-undici 7.15.0+dfsg+~cs3.2.0

=== debian/changelog ===
node-undici (7.15.0+dfsg+~cs3.2.0-1) unstable; urgency=medium

  * New upstream version 7.15.0+dfsg+~cs3.2.0
  * Unbundle and B-D node-llhttp, and use its wasm blobs
  * Add missing Expat license
  * patch: simplify build and install by using global llhttp
  * Update https-pem test module

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Aug 2025 16:25:05 +0200

node-undici (7.3.0+dfsg1+~cs24.12.11-2) unstable; urgency=medium

  * Fix llhttp makefile (shuffle bug) (Closes: #1105523)

 -- Yadd <yadd@debian.org>  Tue, 13 May 2025 22:42:34 +0200

=== debian/control ===
Source: node-undici
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.14.22~)
 , node-debug
 , node-esbuild
 , node-llhttp (>= 9.3.0~)
 , node-semver
 , node-typescript
Standards-Version: 4.7.2
Homepage: https://undici.nodejs.org
Vcs-Git: https://salsa.debian.org/js-team/node-undici.git
Vcs-Browser: https://salsa.debian.org/js-team/node-undici
Rules-Requires-Root: no

Package: node-undici
Architecture: all
Depends: ${misc:Depends}
 , node-llhttp (>= 9.3.0~)
Provides: ${nodeUndici:Provides}
Multi-Arch: foreign
Description: Node.js HTTP/1.1 client
 undici provides the Node.js core HTTP client, using WebAssembly to achieve
 performance and pluggability. It brings features like:
  - redirect support
  - native mocking layer using MockAgent
  - Client, Pool, Agent are unified by a Dispatcher API

## node-undici 7.16.0+dfsg+~cs3.2.0

=== debian/changelog ===
node-undici (7.16.0+dfsg+~cs3.2.0-2) unstable; urgency=medium

  * Tighten dependency on node-llhttp for ci
  * patch: skip tls-cert-leak on i386. Closes: #1117521.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 09 Oct 2025 16:46:37 +0200

node-undici (7.16.0+dfsg+~cs3.2.0-1) unstable; urgency=medium

  * New upstream version 7.16.0+dfsg+~cs3.2.0.
  * Refresh patch

 -- Jérémy Lal <kapouer@melix.org>  Tue, 07 Oct 2025 10:09:34 +0200

node-undici (7.15.0+dfsg+~cs3.2.0-3) unstable; urgency=medium

  * Fix substvar name in control. Closes: #1115737.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 20 Sep 2025 18:03:56 +0200

node-undici (7.15.0+dfsg+~cs3.2.0-2) unstable; urgency=medium

  * Loosen dependency on node-llhttp

 -- Jérémy Lal <kapouer@melix.org>  Mon, 01 Sep 2025 01:59:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  , dh-sequence-nodejs (>= 0.14.22~)
  , node-debug
  , node-esbuild
- , node-llhttp (>= 9.3.0~)
+ , node-llhttp
  , node-semver
  , node-typescript
 Standards-Version: 4.7.2
@@ -19,8 +19,8 @@
 Package: node-undici
 Architecture: all
 Depends: ${misc:Depends}
- , node-llhttp (>= 9.3.0~)
-Provides: ${nodeUndici:Provides}
+ , node-llhttp (>= 9.3.3~really9.3.0~)
+Provides: ${nodejs:Provides}
 Multi-Arch: foreign
 Description: Node.js HTTP/1.1 client
  undici provides the Node.js core HTTP client, using WebAssembly to achieve

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_test:
	# autopkgtest only

execute_after_dh_install:
	rm -f debian/node-undici/usr/share/nodejs/undici/lib/web/fetch/LICENSE
	rm -f debian/node-undici/usr/share/nodejs/@fastify/busboy/deps/dicer/LICENSE

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+dfsg,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/undici-$1/ \
 https://github.com/nodejs/undici/tags .*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=fastify-busboy,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-busboy-$1/ \
 https://github.com/fastify/busboy/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## node-undici 7.18.2+dfsg+~cs3.2.0

=== debian/changelog ===
node-undici (7.18.2+dfsg+~cs3.2.0-1build1) resolute; urgency=medium

  * Rebuild against new nodejs 22.19.6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jan 2026 18:53:40 +0100

node-undici (7.18.2+dfsg+~cs3.2.0-1) unstable; urgency=medium

  * New upstream version 7.18.2+dfsg+~cs3.2.0
    CVE-2026-22036: Unbounded decompression chain in HTTP responses
    via Content-Encoding leads to resource exhaustion. Closes: #1125679.
  * Switch to watch 5
  * Update salsa-ci.yml

 -- Jérémy Lal <kapouer@melix.org>  Thu, 15 Jan 2026 22:23:32 +0100

=== debian/watch ===
Version: 5
Version-Schema: checksum

Template: Github
Dversionmangle: auto
Owner: nodejs
Project: undici
Repacksuffix: +dfsg

Component: fastify-busboy
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fastify
Project: busboy
